Bug 1814869 - Console incorrectly counts init containers in its readiness count
Summary: Console incorrectly counts init containers in its readiness count
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1813266
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-18 21:12 UTC by bpeterse
Modified: 2020-05-04 11:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1813266
Environment:
Version: 4.5.0-0.ci-2020-03-12-012451 Cluster ID: bfc758ad-8aa3-42a3-a6aa-bc05c35ed458 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:74.0) Gecko/20100101 Firefox/74.0
Last Closed: 2020-05-04 11:46:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4756 None closed [release-4.4] Bug 1814869: Don't include init containers in readiness counts 2020-04-17 18:26:12 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:47:00 UTC

Comment 4 Yanping Zhang 2020-03-30 08:09:42 UTC
Checked on 4.4 OCP cluster with payload 4.4.0-0.nightly-2020-03-29-132004. Create pod with init container and common container, check pods list on console, the readiness count is equal to count of common containers, not including init container. It's consistent with cli output now.
The bug is fixed, so move it to Verified.

Comment 7 errata-xmlrpc 2020-05-04 11:46:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.